> For the complete documentation index, see [llms.txt](https://developers.payssam.kr/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.payssam.kr/api/api.md).

# API 버전

결제선생은 두가지 버전의 API를 제공하고 있습니다.

### V2 API

> **현재 권장 버전입니다.** 신규 연동시 V2 API 사용을 권장합니다.

* 최신 기능이 반영된 현행 버전이며, 이후 지속적으로 기능 업데이트 예정입니다.
* 새로운 기능 추가 및 개선은 V2 API에만 적용됩니다.
* 보안 패치 및 버그 수정도 V2 API를 기준으로 제공됩니다.
* 기존 V1 사용 파트너사는 V2로의 마이그레이션을 권장드립니다.

### v1 API

> **신규 연동을 권장하지 않습니다.** 기존 연동 유지 목적의 레거시 버전입니다.

* 하위 호환성 유지를 위해 운영 중이나, 추가 기능 개발이 중단된 레거시 버전입니다.
* 신규 기능, 개선 사항은 반영되지 않습니다.
* 중대한 보안 이슈 외에는 업데이트가 제공되지 않습니다.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developers.payssam.kr/api/api.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
